function parseRule(getId,getMemToken,getRzType,source) {
    var flag = false;

    var getSource = '0';
    if(source){
        getSource = source;
    }
    //直播1  品牌2  课程3
    // getRzType
    $.ajax({
        type: 'POST',
        async:false,
        url: serverHttp + "/popu/window/checkWindow",
        data: {
            id: getId,
            idType: getRzType,
            memToken: getMemToken
        },
        success: function (data) {
            if (data.code == 200) {
                var getAttestation = data.data;
                var personalAuth = {};
                var physicians = {};
                var questionsList = [];
                if(data.data.auditingStatus == 3){
                    $(".refusalReason").html('驳回原因：' + data.data.refusalReason + '，请重新提交审核。');
                    $(".refusalReason").show();
                }
                //获取认证信息
                $.ajax({
                    type: 'POST',
                    async:false,
                    url: serverHttp + "/user/findUserAttestInfo",
                    data: {
                        memToken: getMemToken,
                    },
                    success: function (res) {
                        if (res.code == 200) {
                            personalAuth = res.data.personalAuth;
                            physicians = res.data.physicians;
                        }
                    }
                });
                //获取问卷
                if(getRzType == 1){
                    //获取问卷问题
                    $.ajax({
                        type: 'POST',
                        async:false,
                        url: serverHttp + "/live/getDetailData",
                        data: {
                            memToken: getMemToken,
                            liveId: getId
                        },
                        success: function (data) {
                            if (data.code == 200) {
                                questionsList = data.data.questions;
                                var questionTooltip = data.data.questionTooltip;
                                if(questionTooltip =='' || questionTooltip == null){
                                    questionTooltip = ''
                                }
                                $('.questionTooltip').html(questionTooltip);
                            }
                        },
                        error: function (data) {
                        }
                    });
                }
                $("#submitInfo").unbind("click");
                $("#submitInformation").unbind("click");
                $("#submitInfosm").unbind("click");
                $("#submitInformationys").unbind("click");
                if (getAttestation.attestType == 2) {
                    var index = layer.open({
                        type: 1,
                        area: ['600px', '600px'],
                        skin: 'layui-layer-molv',
                        shift: 0,
                        title: false,
                        offset: ['8%', 'calc(50% - 260px)'],
                        closeBtn: 0,
                        // shadeClose: true,
                        content: $('#smrz'),
                        success: function () {
                            //回显
                            if(personalAuth){
                                if(personalAuth.memRealNam!='' || personalAuth.memRealNam!= null){
                                    $("#smrz #userName").val(personalAuth.memRealName)
                                }
                                if(personalAuth.memSex!='' || personalAuth.memSex!= null){
                                    $("#smrz input[value='" + personalAuth.memSex +"']").prop("checked", "checked");
                                }
                                if(personalAuth.memIdentityId != '' || personalAuth.memIdentityId != null){
                                    // let newStr = personalAuth.memIdentityId.replace(/(?<=\d{3})\d{12}(?=\d{2})/,"************")
                                    $("#smrz #card").val(personalAuth.memIdentityId)
                                    // $("#smrz #card").attr("tag",personalAuth.memIdentityId)
                                }
                                if(personalAuth.unitName){
                                    $("#smrz #unitName").val(personalAuth.unitName)
                                }
                                if(personalAuth.memAddr){
                                    $("#smrz #address").val(personalAuth.memAddr)
                                }
                            }
                            // $("#smrz #card").bind("input propertychange",function(){
                            //     var val = $(this).val();
                            //     $(this).attr("tag",val)
                            // });

                            //提交
                            $("#submitInfo").click(function () {
                                var userName = $("#smrz #userName").val()
                                var card = $("#smrz #card").val()
                                var unitName = $("#smrz #unitName").val()
                                var address = $("#smrz #address").val()
                                var sex = $("#smrz input[type='radio']:checked").val();
                                var experience = $("#smrz #experience").val()

                                // if (!userName || !card || !unitName || !address || !sex || !experience) {
                                if (isEmptyStr(userName.trim()) ||
                                    isEmptyStr(card.trim()) ||
                                    sex == 'undefined' ||
                                    sex == undefined ||
                                    isEmptyStr(sex)){
                                    alert("请完善必填信息");
                                    return
                                }
                                if (!isIdentityCard(card)) {
                                    alert("身份证不合法请检查");
                                    return false;
                                }
                                $.ajax({
                                    type: 'POST',
                                    url: "/user/saveUserInfoWithSmAndYs",
                                    data: {
                                        userName: userName,
                                        card: card,
                                        unitName: unitName,
                                        address: address,
                                        sex: sex,
                                        experience: experience,
                                        attestType:'2',
                                        source: getSource
                                    },
                                    success: function (res) {
                                        if (res.code == 200) {
                                            getAttestation.attestType = 5;
                                            layer.close(index)
                                            if(res.data.points != 0){
                                                playMusic('认证成功', res.data.points);
                                            }
                                            if (getAttestation.question) {
                                                setTimeout(parseRule(), 1500)
                                            }
                                        } else {
                                            alert(res.message);
                                        }
                                    }
                                })
                            })
                            $(".rzClosr").click(function (){
                                var form = $("#ojlsmrz").find("form");
                                $(form)[0].reset();
                                layer.close(index)
                            })
                        }
                    });
                    return false;
                } else if (getAttestation.attestType == 1) {
                    var index = layer.open({
                        type: 1,
                        area: ['600px', '600px'],
                        skin: 'layui-layer-molv',
                        shift: 0,
                        title: false,
                        offset: ['8%', 'calc(50% - 260px)'],
                        closeBtn: 0,
                        // shadeClose: true,
                        content: $('#ysrz'),
                        success: function () {
                            //获取数据
                            getCataList(51, 1);
                            getCataListZw(150, 1);
                            $("#professional").click(function () {
                                professionalChange(1)
                            })
                            //回显
                            if(physicians){
                                if(physicians.num != '' || physicians.num != null){
                                    $("#ysrz #businessLicense").val(physicians.num)
                                }
                            }
                            $("#submitInformation").click(function () {
                                var professional = $("#ysrz #professional").val()
                                var professionalTwo = $("#ysrz #professionalTwo").val()
                                var businessLicense = $("#ysrz #businessLicense").val()
                                var post = $("#ysrz #post").val()
                                // if (!professional || !professionalTwo || !businessLicense || !post) {
                                if (isEmptyStr(businessLicense)) {
                                    alert("请完善必填信息");
                                    return;
                                }
                                if (!checkyishi(businessLicense)) {
                                    alert("执业编码填写错误");
                                    return false;
                                }
                                $.ajax({
                                    type: 'POST',
                                    url: serverHttp + "/user/saveUserInfoWithSmAndYs",
                                    data: {
                                        professional: professional,
                                        businessLicense: businessLicense,
                                        professionalTwo: professionalTwo,
                                        post: post,
                                        attestType: '1',
                                        source: getSource
                                    },
                                    success: function (res) {
                                        console.log(res);
                                        if (res.code == 200) {
                                            getAttestation.attestType = 5;
                                            layer.close(index)
                                            if(res.data.points != 0){
                                                playMusic('认证成功', res.data.points);
                                            }
                                            if (getAttestation.question) {
                                                setTimeout(parseRule(), 1500)
                                            }
                                        } else {
                                            alert(res.message);
                                        }
                                    }
                                })
                            })

                            $(".rzClosr").click(function (){
                                layer.close(index)
                            })

                            function professionalChange(type) {
                                if (type == 1) {
                                    var professional = $("#ysrz #professional").val()
                                    if (professional == '') {
                                        // that.selectTwoData = [];
                                    } else {
                                        getCataList(professional, 2);
                                    }
                                }
                            }

                            function getCataList(fId, type) {
                                $.ajax({
                                    type: 'POST',
                                    url: serverHttp + "/course/getCataList",
                                    data: {
                                        fId: fId,
                                        type: 5,
                                    },
                                    success: function (res) {
                                        if (res.code == 200) {
                                            if (type == 1) {
                                                $("#ysrz #professional").empty()
                                                $("#ysrz #professional").append("<option value=''>请选择</option>")
                                                var selectOneData = res.data;
                                                for (let i = 0; i < selectOneData.length; i++) {
                                                    $("#ysrz #professional").append("<option value='" + selectOneData[i].id + "'>" + selectOneData[i].name + "</option>")
                                                }
                                            } else {
                                                $("#ysrz #professionalTwo").empty()
                                                var selectTwoData = res.data;
                                                for (let i = 0; i < selectTwoData.length; i++) {
                                                    $("#ysrz #professionalTwo").append("<option value='" + selectTwoData[i].id + "'>" + selectTwoData[i].name + "</option>")
                                                }
                                            }
                                        }
                                    },
                                    error: function (data) {

                                    }
                                });
                            }

                            function getCataListZw(fId, type) {
                                $.ajax({
                                    type: 'POST',
                                    url: serverHttp + "/course/getCataList",
                                    data: {
                                        fId: fId,
                                        type: 5,
                                    },
                                    success: function (res) {
                                        $("#ysrz #post").empty();
                                        if (res.code == 200) {
                                            $("#ysrz #post").append("<option value=''>请选择</option>")
                                            var zw = res.data;
                                            for (let i = 0; i < zw.length; i++) {
                                                $("#ysrz #post").append("<option value='" + zw[i].id + "'>" + zw[i].name + "</option>")
                                            }
                                        }
                                    },
                                    error: function (data) {

                                    }
                                });
                            }
                        }
                    });
                    return false;
                } else if (getAttestation.attestType == 4) {
                    if(getSource == 1){
                        $(".bitian2").html('')
                    }else{
                        $(".bitian2").html('*')
                    }
                    var index = layer.open({
                        type: 1,
                        area: ['600px', '600px'],
                        skin: 'layui-layer-molv',
                        shift: 0,
                        title: false,
                        offset: ['13%', '29%'],
                        closeBtn: 0,
                        // shadeClose: true,
                        content: $('#ojlsmrz'),
                        success: function () {
                            getCataListZw(150, 1);
                            getProvince();
                            $("#provincesm").change(function (){
                                var getProvinceId = $("#provincesm").find("option:selected").val();
                                getCity(getProvinceId)
                            })


                            //回显
                            if(personalAuth){
                                if(personalAuth.memRealNam!='' || personalAuth.memRealNam!= null){
                                    $("#ojlsmrz #userNamesm").val(personalAuth.memRealName)
                                }
                                if(personalAuth.memSex!='' || personalAuth.memSex!= null){
                                    $("#ojlsmrz input[value='" + personalAuth.memSex +"']").prop("checked", "checked");
                                }
                                if(personalAuth.memIdentityId != '' || personalAuth.memIdentityId != null){
                                    // let newStr = personalAuth.memIdentityId.replace(/(?<=\d{3})\d{12}(?=\d{2})/,"************")
                                    $("#ojlsmrz #cardsm").val(personalAuth.memIdentityId)
                                    // $("#ojlsmrz #cardsm").attr("tag",personalAuth.memIdentityId)
                                }
                                if(personalAuth.unitName!='' || personalAuth.unitName!= null){
                                    $("#ojlsmrz #unitNamesm").val(personalAuth.unitName)
                                }
                                if(personalAuth.department!='' || personalAuth.department!= null){
                                    $("#ojlsmrz #departmentsm").val(personalAuth.department)
                                }
                                if(personalAuth.province){
                                    $("#ojlsmrz #provincesm option[value='" + personalAuth.province + "']").prop("selected", true);
                                    getCity(personalAuth.province);
                                    $("#ojlsmrz #citysm option[value='" + personalAuth.city + "']").prop("selected", true);
                                }
                            }
                            if(physicians){
                                if(physicians.num != '' || physicians.num != null){
                                    $("#ojlsmrz #businessLicensesm").val(physicians.num)
                                }
                                if(physicians.post!='' || physicians.post!= null){
                                    $("#ojlsmrz #postsm option[value='" + physicians.post + "']").prop("selected", true);
                                }
                            }

                            $("#submitInfosm").click(function () {

                                var userName = $("#userNamesm").val()
                                var card = $("#cardsm").val()
                                var unitName = $("#unitNamesm").val()
                                var sex = $("#sexsm input[type='radio']:checked").val();
                                var province = $("#provincesm").val()
                                var city = $("#citysm").val()
                                var businessLicense = $("#businessLicensesm").val()
                                var post = $("#postsm").val()
                                var department = $("#departmentsm").val()
                                // isEmptyStr(userName.trim()) || isEmptyStr(card.trim()) || isEmptyStr(unitName.trim()) || isEmptyStr(sex) || isEmptyStr(businessLicense) || isEmptyStr(post) || post == -1 || province == 0 || city == 0 || isEmptyStr(department.trim()) || isEmptyStr(province.trim()) || isEmptyStr(city.trim())
                                if (isEmptyStr(userName.trim()) ||
                                    isEmptyStr(card.trim()) ||
                                    sex == 'undefined' ||
                                    sex == undefined ||
                                    isEmptyStr(sex) ||
                                    (getSource != 1 && isEmptyStr(businessLicense))) {
                                    alert("请完善必填信息");
                                    return false;
                                }
                                if (!isIdentityCard(card)) {
                                    alert("身份证不合法请检查");
                                    return false;
                                }
                                if (!isEmptyStr(businessLicense) && !checkyishi(businessLicense)) {
                                    alert("执业编码填写错误");
                                    return false;
                                }
                                $.ajax({
                                    type: 'POST',
                                    url: "/user/saveUserInfoWithSmAndYs",
                                    data: {
                                        userName: userName,
                                        card: card,
                                        unitName: unitName,
                                        sex: sex,
                                        businessLicense:businessLicense,
                                        post: post,
                                        province: province,
                                        city: city,
                                        department:department,
                                        attestType: '4',
                                        source: getSource
                                    },
                                    success: function (res) {
                                        if (res.code == 200) {
                                            getAttestation.attestType = 5;
                                            layer.close(index)
                                            if(res.data.points != 0){
                                                playMusic('认证成功', res.data.points);
                                            }
                                            if (getAttestation.question) {
                                                setTimeout(parseRule(), 1500)
                                            }
                                        } else {
                                            alert(res.message);
                                        }
                                    }
                                })
                            })

                            $(".rzClosr").click(function (){
                                var form = $("#ojlsmrz").find("form");
                                $(form)[0].reset();
                                layer.close(index)
                            })
                            function getCataListZw(fId, type) {
                                $.ajax({
                                    type: 'POST',
                                    async: false,
                                    url: serverHttp + "/course/getCataList",
                                    data: {
                                        fId: fId,
                                        type: 5,
                                    },
                                    success: function (res) {
                                        res.data[0].name = "请选择";
                                        if (res.code == 200) {
                                            var zw = res.data;
                                            for (let i = 0; i < zw.length; i++) {
                                                $("#postsm").append("<option value='" + zw[i].id + "'>" + zw[i].name + "</option>")
                                            }
                                        }
                                    },
                                    error: function (data) {

                                    }
                                });
                            }
                            function getProvince() {
                                $("#provincesm").empty();
                                $.ajax({
                                    type : 'get',
                                    async: false,
                                    url : serverHttp+"/sys/getRegion",
                                    data:{
                                        parentId:'10000000',
                                    },
                                    success : function(res) {
                                        var getProvinceData = res.data;
                                        $("#provincesm").append("<option value=''>请选择</option>")
                                        for (var i = 0; i < getProvinceData.length; i++) {
                                            $("#provincesm").append("<option tab='" + getProvinceData[i].id + "' value='" + getProvinceData[i].id + "'>" + getProvinceData[i].name + "</option>")
                                        }
                                    }
                                });
                            }
                            function getCity(id){
                                $("#citysm").empty();
                                $.ajax({
                                    type : 'get',
                                    async: false,
                                    url : serverHttp+"/sys/getRegion",
                                    data:{
                                        parentId:id,
                                    },
                                    success : function(res) {
                                        var getCityData = res.data;
                                        $("#citysm").append("<option value=''>请选择</option>")
                                        for (let i = 0; i < getCityData.length; i++) {
                                            $("#citysm").append("<option value='" + getCityData[i].id + "'>" + getCityData[i].name + "</option>")
                                        }
                                    }
                                });
                            }
                        }
                    });
                    return false;
                } else if (getAttestation.attestType == 3) {
                    if(getSource == 1){
                        $(".bitian1").html('')
                    }else{
                        $(".bitian1").html('*')
                    }
                    var index = layer.open({
                        type: 1,
                        area: ['600px', '600px'],
                        skin: 'layui-layer-molv',
                        shift: 0,
                        title: false,
                        offset: ['13%', '29%'],
                        closeBtn: 0,
                        // shadeClose: true,
                        content: $('#ojlysrz'),
                        success: function () {
                            getProvince();
                            $("#provinceys").change(function (){
                                var getProvinceId = $("#provinceys").find("option:selected").val();
                                getCity(getProvinceId)
                            })

                            //回显
                            if(personalAuth){
                                if(personalAuth.memRealNam!='' || personalAuth.memRealNam!= null){
                                    $("#ojlysrz #userNameys").val(personalAuth.memRealName)
                                }
                                if(personalAuth.memSex!='' || personalAuth.memSex!= null){
                                    $("#ojlysrz input[value='" + personalAuth.memSex +"']").prop("checked", "checked");
                                }
                                if(personalAuth.unitName!='' || personalAuth.unitName!= null){
                                    $("#ojlysrz #unitNameys").val(personalAuth.unitName)
                                }
                                if(personalAuth.department!='' || personalAuth.department!= null){
                                    $("#ojlysrz #departmentys").val(personalAuth.department)
                                }
                                if(personalAuth.province){
                                    $("#ojlysrz #provinceys option[value='" + personalAuth.province + "']").prop("selected", true);
                                    getCity(personalAuth.province);
                                    $("#ojlysrz #cityys option[value='" + personalAuth.city + "']").prop("selected", true);
                                }
                            }
                            if(physicians){
                                if(physicians.num != '' || physicians.num != null){
                                    $("#ojlysrz #businessLicenseys").val(physicians.num)
                                }
                            }


                            $("#submitInformationys").click(function () {
                                var professional = $("#professionalys").val()
                                var userName = $("#userNameys").val()
                                var unitName = $("#unitNameys").val()
                                var sex = $("#sexys input[type='radio']:checked").val();
                                var businessLicense = $("#businessLicenseys").val()
                                var department = $("#departmentys").val()
                                var province = $("#provinceys").val()
                                var city = $("#cityys").val()

                                if (isEmptyStr(userName.trim()) ||
                                    isEmptyStr(sex) ||
                                    sex == 'undefined' ||
                                    sex == undefined ||
                                    isEmptyStr(unitName.trim()) ||
                                    isEmptyStr(department.trim()) ||
                                    (getSource != 1 && isEmptyStr(businessLicense))) {
                                    alert("请完善必填信息");
                                    return;
                                }
                                if (!isEmptyStr(businessLicense) && !checkyishi(businessLicense)) {
                                    alert("执业编码填写错误");
                                    return false;
                                }
                                $.ajax({
                                    type: 'POST',
                                    url: serverHttp + "/user/saveUserInfoWithSmAndYs",
                                    data: {
                                        professional:professional,
                                        businessLicense:businessLicense,
                                        userName:userName.trim(),
                                        unitName:unitName.trim(),
                                        department:department.trim(),
                                        sex:sex,
                                        province: province,
                                        city: city,
                                        attestType: '3',
                                        source: getSource
                                    },
                                    success: function (res) {
                                        if (res.code == 200) {
                                            getAttestation.attestType = 5;
                                            layer.close(index)
                                            if(res.data.points != 0){
                                                playMusic('认证成功', res.data.points);
                                            }
                                            if (getAttestation.question) {
                                                setTimeout(parseRule(), 1500)
                                            }
                                        } else {
                                            alert(res.message);
                                        }
                                    }
                                })
                            })
                            $(".rzClosr").click(function (){
                                var form = $("#ojlsmrz").find("form");
                                $(form)[0].reset();
                                layer.close(index)
                            })
                            $("#professional").click(function () {
                                professionalChange(1)
                            })


                            function professionalChange(type) {
                                if (type == 1) {
                                    var professional = $("#professionalys").val()
                                    if (professional == -1) {
                                        // that.selectTwoData = [];
                                    } else {
                                        getCataList(professional, 2);
                                    }
                                }
                            }

                            function getCataList(fId, type) {
                                $.ajax({
                                    type: 'POST',
                                    async: false,
                                    url: serverHttp + "/course/getCataList",
                                    data: {
                                        fId: fId,
                                        type: 5,
                                    },
                                    success: function (res) {
                                        if (res.code == 200) {
                                            if (type == 1) {
                                                $("#professionalys").empty()
                                                res.data[0].name = "请选择"
                                                var selectOneData = res.data;
                                                for (let i = 0; i < selectOneData.length; i++) {
                                                    $("#professionalys").append("<option value='" + selectOneData[i].id + "'>" + selectOneData[i].name + "</option>")
                                                }
                                            } else {
                                                $("#professionalTwoys").empty()
                                                res.data[0].name = "请选择"
                                                var selectTwoData = res.data;
                                                for (let i = 0; i < selectTwoData.length; i++) {
                                                    $("#professionalTwoys").append("<option value='" + selectTwoData[i].id + "'>" + selectTwoData[i].name + "</option>")
                                                }
                                            }
                                        }
                                    },
                                    error: function (data) {

                                    }
                                });
                            }


                            function getProvince() {
                                $("#provinceys").empty();
                                $.ajax({
                                    type : 'get',
                                    async: false,
                                    url : serverHttp+"/sys/getRegion",
                                    data:{
                                        parentId:'10000000',
                                    },
                                    success : function(res) {
                                        var getProvinceData = res.data;
                                        $("#provinceys").append("<option value=''>请选择</option>")
                                        for (var i = 0; i < getProvinceData.length; i++) {
                                            $("#provinceys").append("<option tab='" + getProvinceData[i].id + "' value='" + getProvinceData[i].id + "'>" + getProvinceData[i].name + "</option>")
                                        }
                                    }
                                });
                            }

                            function getCity(id){
                                $("#cityys").empty();
                                $.ajax({
                                    type : 'get',
                                    async: false,
                                    url : serverHttp+"/sys/getRegion",
                                    data:{
                                        parentId:id,
                                    },
                                    success : function(res) {
                                        var getCityData = res.data;
                                        $("#cityys").append("<option value=''>请选择</option>")
                                        for (let i = 0; i < getCityData.length; i++) {
                                            $("#cityys").append("<option value='" + getCityData[i].id + "'>" + getCityData[i].name + "</option>")
                                        }
                                    }
                                });
                            }
                        }
                    });
                    return false;
                } else if ((getAttestation.question || (!getAttestation.question && getAttestation.needAuditing == 1 && getAttestation.auditingStatus == 3)) && getAttestation.attestType == 5 && getRzType == 1) {
                    var size = 0;
                    for (var item of questionsList) {
                        // if (item.answerContent == undefined || item.answerContent == null || item.answerContent === '') {
                            size++;
                        // }
                    }
                    if (size == 0) {
                        return true;
                    }
                    var layerIndex = layer.open({
                        type: 1,
                        area: ['600px', '550px'],
                        skin: 'layui-layer-molv',
                        shift: 0,
                        title: false,
                        offset: ['8%', 'calc(50% - 380px)'],
                        closeBtn: 0,
                        // shadeClose: true,
                        content: $('#wjdc'),
                        success: function () {
                            $("#writeform").empty()
                            var index = 0;
                            for (var item of questionsList) {
                                var getAnswerContent = item.answerContent
                                if(item.answerContent == null){
                                    getAnswerContent = '';
                                }
                                // if (item.answerContent == undefined || item.answerContent == null || item.answerContent === '') {
                                    $("#writeform").append("<div><label>" + item.quTitle + "：</label><span><input value='" + getAnswerContent + "' data-index='" + index + "' type=\"text\" placeholder=\"请输入\"/></span></div>");
                                // }
                                index++;
                            }
                            $("#writeform").append("<div class=\"layerbtnbox\"><button id='submitQuestion' type=\"button\" class=\"btn\">立即提交</button></div>")
                            $("#submitQuestion").click(function () {
                                var check = true;
                                var check2 = true;
                                var inputs = $("#writeform input");

                                for (let i = 0; i < inputs.length; i++) {
                                    questionsList[$(inputs[i]).data("index")].answerContent = $(inputs[i]).val().trim();
                                }

                                for (var item of questionsList) {
                                    if (item.answerContent == undefined || item.answerContent == null || item.answerContent === '') {
                                        check = false;
                                        break;
                                    }
                                    if(item.quTitle.indexOf("手机号") !=-1 || item.quTitle.indexOf("电话") !=-1 || item.quTitle.indexOf("联系方式") !=-1){
                                        var regPhone = /^(13[0-9]|14[01456879]|15[0-35-9]|16[2567]|17[0-8]|18[0-9]|19[0-35-9])\d{8}$/;
                                        if(!regPhone.test(item.answerContent)){
                                            check2 = false;
                                            break;
                                        }
                                    }
                                }
                                if (!check) {
                                    alert("请完善相关信息");
                                    return false;
                                }

                                if (!check2) {
                                    alert("请输入正确的手机号码");
                                    return false;
                                }

                                $.ajax({
                                    type: 'POST',
                                    url: serverHttp + "/live/saveQuestionAnswer",
                                    data: {
                                        liveId: getId,
                                        memToken: getMemToken,
                                        questions: JSON.stringify(questionsList)
                                    },
                                    success: function (data) {
                                        if (data.code == 200) {
                                            //弹出弹窗 审核中
                                            getAttestation.question = false;
                                            if(getAttestation.needAuditing == 1){
                                                getAttestation.auditingStatus = 1;
                                                $(".auditSumbitBox").show();
                                            }
                                            layer.close(layerIndex)
                                        }
                                    },
                                    error: function (data) {
                                    }
                                });
                            })

                            $(".rzClosr").click(function (){
                                var form = $("#ojlsmrz").find("form");
                                $(form)[0].reset();
                                layer.close(layerIndex)
                            })

                            $(".auditSumbitBox .auditSumbitClose").click(function (){
                                $(".auditSumbitBox").hide();
                            })

                        }
                    });

                    return false;
                }else if (getAttestation.attestType == 5 && !getAttestation.question && getAttestation.needAuditing == 1 && getAttestation.auditingStatus == 1) {
                    $(".auditBox").show();
                    return false;
                }
                flag = true
            }
        }
    });
    return flag
}
$(".auditBox .auditClose").click(function (){
    $(".auditBox").hide();
})
